DDOS·低轨道离子炮(Low Orbit Ion Cannon,LOIC)
LOIC是一个最受欢迎的DOS攻击工具,即使是单个用户也可以执行DOS攻击小型服务器,工具非常易于使用。 kali linux下安装loic软件并不复杂。这里我仅仅是为了给WAF设备做个测试。aptitude install git-core monodevelop #安装monodevelop运行环境
mkdir loic && cd loic
vim loic.sh #编辑shell脚本
#!/bin/bash # Copyfuck © 2010 q # # This script installs, updates and runs LOIC on Linux. # # Supported distributions: # * Ubuntu # * Debian # * Fedora # # Usage: bash ubuntu_loic.bash <install|update|run> # GIT_REPO=http://github.com/NewEraCracker/LOIC.git GIT_BRANCH=master DEB_MONO_PKG="monodevelop liblog4net-cil-dev" FED_MONO_PKG="mono-basic mono-devel monodevelop mono-tools" lower() { tr '[A-Z]' '[a-z]' } what_distro() { if which lsb_release ; then echo lsb_release -si | lower elif grep -qi ubuntu /etc/*release ; then echo "ubuntu" elif [[ -e /etc/fedora-release ]] ; then echo "fedora" else # Assume Debian-based echo "debian" fi } DISTRO=$(what_distro) ensure_git() { if ! which git ; then if [[ $DISTRO = 'ubuntu' || $DISTRO = 'debian' ]] ; then sudo apt-get install git elif [[ $DISTRO = 'fedora' ]] ; then sudo yum install git fi fi } is_loic() { is_loic_git || { [[ -d LOIC ]] && cd LOIC && is_loic_git; } } is_loic_git() { [[ -d .git ]] && grep -q LOIC .git/config } get_loic() { ensure_git if ! is_loic ; then git clone $GIT_REPO -b $GIT_BRANCH fi } compile_loic() { get_loic if ! is_loic ; then echo "Error: You are not in a LOIC repository." exit 1 fi if [[ $DISTRO = 'ubuntu' || $DISTRO = 'debian' ]] ; then sudo apt-get install $DEB_MONO_PKGS elif [[ $DISTRO = 'fedora' ]] ; then sudo yum install $FED_MONO_PKS fi mdtool build } run_loic() { is_loic if [[ ! -e bin/Debug/LOIC.exe ]] ; then compile_loic fi if ! which mono ; then if [[ $DISTRO = 'ubuntu' || $DISTRO = 'debian' ]] ; then sudo apt-get install mono-runtime elif [[ $DISTRO = 'fedora' ]] ; then sudo yum install mono-runtime fi fi mono bin/Debug/LOIC.exe } update_loic() { ensure_git if is_loic ; then git pull --rebase compile_loic else echo "Error: You are not in a LOIC repository." fi } case $1 in install) compile_loic ;; update) update_loic ;; run) run_loic ;; *) echo "Usage: $0 <install|update|run>" ;; esac 保存后执行下面的命令
chmod +x loic.sh #赋予执行权限
./loic.sh install #执行安装
执行下面的命令安装依赖
apt-get install mono-gmcs #安装依赖然后运行
./loic.sh run #运行
好评如潮 100%
文件解压教程
首先准备好解压工具, 电脑端安装 WINRAR, 手机端安装 Zarchiver 或者 ES文件管理器
然后有2种类型的压缩包:
1. 单一压缩文件的(可以单独下载和解压)
- 如果后缀名正常: 直接打开文件 > 输入密码 >解压文件 > 解压成功, 有的情况会有双层压缩, 再继续解压即可
- 如果需要修改后缀名: 不需要管文件原本后缀是什么,只要是压缩文件,后缀直接改成 .rar, 然后用解压工具打开,工具会自动识别正确的类型, 然后解压即可, (有的系统默认不能更改后缀名,这种情况, 要先百度下如何显示文件后缀名).
2. 多个压缩分卷文件的 (需要全部下载完毕后 才能正确解压)
- 如果后缀名正常: 只需要解压第一个分卷即可, 工具在解压过程中会自动调用其他分卷, 不需要每个分卷都解压一遍 (所以需要提前全部下载好), 不同压缩格式的第一个分卷命名是有区别的 (RAR格式的第一个分卷是叫 xxx.part1.rar , 7z格式的第一个压缩分卷是叫 xxx.001 , ZIP格式的第一个压缩分卷 就是默认的 XXX.zip ) .
- 如果是需要改后缀的情况 (比较少见): 需要把文件按顺序重新命名好才能正常解压, RAR的分卷命名格式是 xxx.part1.rar, xxx.part2.rar, xxx.part3.rar, 7z的命名格式是 xxx.001, xxx.002, xxx.003, ZIP的排序格式 xxx.zip, xxx.zip.001, xxx.zip.002
10 条评论
天天在家手冲会不会阳痿? 如何锻炼自己的牛子持久不射?
我也想像哥布林一样一天一个女骑士。
那就快去“A酱的绅士玩具屋”吧, 初音社为大家申请到了限时粉丝专属价, 只有和客服A酱说是初音社来的就可以享受到优惠哦!~
戳这里即可拥有>> 一个榨汁飞(lao)机(po)杯,快来我和签订契约成为绅(hen)士(tai)吧!